Package com.enonic.xp.security

## Class User

- java.lang.Object
- - com.enonic.xp.security.Principal
  - - com.enonic.xp.security.User

- All Implemented Interfaces:
    `Principal`

      @PublicApi
      public final class User
      extends Principal

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `User.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static User` | `ANONYMOUS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static User.Builder` | `create()` |
    `static User.Builder` | `create​(User user)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getAuthenticationHash()` |
    `String` | `getEmail()` |
    `String` | `getLogin()` |
    `PropertyTree` | `getProfile()` |
    `int` | `hashCode()` |
    `boolean` | `isDisabled()` |

    - ### Methods inherited from class com.enonic.xp.security.Principal

      `getDescription, getDisplayName, getKey, getModifiedTime, getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Field Detail

    - #### ANONYMOUS

          public static final User ANONYMOUS

  - ### Method Detail

    - #### getEmail

          public String getEmail()

    - #### getLogin

          public String getLogin()

    - #### getAuthenticationHash

          public String getAuthenticationHash()

    - #### isDisabled

          public boolean isDisabled()

    - #### getProfile

          public PropertyTree getProfile()

    - #### equals

          public boolean equals​(Object o)

      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Principal`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Principal`

    - #### create

          public static User.Builder create()

    - #### create

          public static User.Builder create​(User user)